#!/bin/bash
# Dependecies: yum install ImageMagick ImageMagick-devel

user=nginx
group=nginx
clear
echo === GENERADOR DE MINIATURAS DE FOTOS ===
origen=/ssd2/www/multimedia/articulos
echo -e 'Iniciando...\n'
chown $user:$group -R $origen
chmod 775 -R $origen

destino=/ssd2/www/multimedia/articulosx100.min
echo Proceso de miniaturas 100x100
if [ -d $destino ]
	then
	echo Eliminando miniaturas...
	rm -rf $destino
fi
echo Copiando archivos base...
cp -r $origen $destino
echo Miniaturizando...
mogrify -resize 100 $destino"/*"
echo Cambiando permisos...
chown $user:$group -R $destino
chmod 775 -R $destino
echo Finalizado miniaturas 100x100
echo Cantidad de archivos: $(ls -lh $destino | wc -l)
echo Tamano total de la carpeta: $(du -hs $destino)
echo -e '\n'

destino=/ssd2/www/multimedia/articulosx200.min
echo Proceso de miniaturas 200x200
if [ -d $destino ]
	then
	echo Eliminando miniaturas...
	rm -rf $destino
fi
echo Copiando archivos base...
cp -r $origen $destino
echo Miniaturizando...
mogrify -resize 200 $destino"/*"
echo Cambiando permisos...
chown $user:$group -R $destino
chmod 775 -R $destino
echo Finalizado miniaturas 200x200
echo Cantidad de archivos: $(ls -lh $destino | wc -l)
echo Tamano total de la carpeta: $(du -hs $destino)
echo -e '\n'

destino=/ssd2/www/multimedia/articulos.min
echo Proceso de miniaturas 300x300
if [ -d $destino ]
	then
	echo Eliminando miniaturas...
	rm -rf $destino
fi
echo Copiando archivos base...
cp -r $origen $destino
echo Miniaturizando...
mogrify -resize 300 $destino"/*"
echo Cambiando permisos...
chown $user:$group -R $destino
chmod 775 -R $destino
echo Finalizado miniaturas 300x300
echo Cantidad de archivos: $(ls -lh $destino | wc -l)
echo Tamano total de la carpeta: $(du -hs $destino)
echo -e '\n'

echo Finalizado.
echo Script hecho por Jorge Castellano, Diez Equis S.A.
echo -e '\n'
